import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.analytics.get_filters(
type="user-agent-clients",
start="2024-04-13T00:00:00+01:00",
)
page = page.results[0]
print(page.count)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.Analytics.GetFilters(
context.TODO(),
waap.AnalyticsGetFiltersParamsTypeUserAgentClients,
waap.AnalyticsGetFiltersParams{
Start: "2024-04-13T00:00:00+01:00",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/waap/v1/analytics/filters/{type} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/analytics/filters/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"count": 123,
"results": [
{
"value": "<string>",
"count": 123
}
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Get filter value suggestions
Retrieves autocomplete suggestions for specified filter parameter values observed within the current client account during the requested time range. Use the returned value in the filter parameters of an analytics data request (GET /v1/analytics/requests and GET /v1/analytics/traffic-filtered). count reports how many times the value was observed in the requested range.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.analytics.get_filters(
type="user-agent-clients",
start="2024-04-13T00:00:00+01:00",
)
page = page.results[0]
print(page.count)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.Analytics.GetFilters(
context.TODO(),
waap.AnalyticsGetFiltersParamsTypeUserAgentClients,
waap.AnalyticsGetFiltersParams{
Start: "2024-04-13T00:00:00+01:00",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Parsed user-agent field type.
user-agent-clients, user-agent-devices, organizations Query Parameters
List of domain IDs. Empty list means all domains belonging to the current account.
Domain ID
[1, 2, 3]
Case-insensitive partial autocomplete pattern matched against the value name by the value provider. Must be between 2 and 100 characters; empty or omitted returns the available suggestions for the current account and time range.
2 - 100Suggestion ordering. count sorts by observed occurrence count descending (most frequent first) with value as a tie breaker; value sorts alphabetically by value ascending with count as a tie breaker.
count, value Filter data items starting from a specified date in ISO 8601 format
"2024-04-13T00:00:00+01:00"
Filter data items up to a specified end date in ISO 8601 format. If not provided, defaults to the current date and time.
"2024-04-14T12:00:00Z"
Number of items to return
50 <= x <= 200Number of items to skip
0 <= x <= 100000Response
Successful Response
Number of items requested in the response
Items response offset used
Number of items contain in the response
List of items returned in the response following given criteria
Show child attributes
Show child attributes
Was this page helpful?